/**
 * Class MassLibDatabase contains a information about the public libraries in the state of 
 * Massachusetts.  In a real application this information would most likely be obtained
 * from a database.  However, for the purposes of this demonstration, it is hardcoded in
 * this file.
 */
public class MassLibDatabase
{
  /**
   * Gets the table column names.
   */
  public static String[] getColumnNames()
  {
    return new String[] {"Region","Municipality/Org.","Library","Address 1","Address 2", "City","State","Zip"};
  }  
  
  /**
   * Gets the table data.
   */
  public static Object[][] getTableData()
  {
    return new Object[][] 
      {
        {"Boston","Boston","Boston Public Library","700 Boylston St.","","Boston","MA","02116-0286"},
        {"Boston","State Library System","Regional Headquarters","Boston Public Library","700 Boylston","Boston","MA","2117"},
        {"Boston","Chelsea","Chelsea Public Library","569 Broadway","","Chelsea","MA","02150-2991"},
        {"Boston","Malden","Malden Public Library","36 Salem St.","","Malden","MA","02148-5208"},
        {"Central","Ashburnham","Stevens Memorial Library","20 Memorial Drive","","Ashburnham","MA","01430-1243"},
        {"Central","Ashby","Ashby Free Public Library","Box 279","","Ashby","MA","01431-0279"},
        {"Central","Athol","Athol Public Library","568 Main Street","","Athol","MA","01331-1888"},
        {"Central","Auburn","Auburn Public Library","369 Southbridge Street","","Auburn","MA","01501-2441"},
        {"Central","Ayer","Ayer Public Library","26 East Main Street","","Ayer","MA","01432-1608"},
        {"Central","Barre","Woods Memorial Library","19 Pleasant Street","P.O. Box 489","Barre","MA","01005-0489"},
        {"Central","Bellingham","Bellingham Public Library","100 Blackstone Street","","Bellingham","MA","02019-1665"},
        {"Central","Berlin","Berlin Public Library","23 Carter Street","","Berlin","MA","01503-1219"},
        {"Central","Blackstone","Blackstone Public Library","15 St. Paul Street","","Blackstone","MA","01504-2295"},
        {"Central","Bolton","Bolton Public Library","738 Main St.","","Bolton","MA","01740-0188"},
        {"Central","Boxborough","Sargent Memorial Library","575 Middle Road","","Boxborough","MA","01719-1408"},
        {"Central","Boylston","Boylston Public Library","695 Main St.","","Boylston","MA","01505-1399"},
        {"Central","Brimfield","Brimfield Public Library","Main Street","PO Box 377","Brimfield","MA","1010"},
        {"Central","Brookfield","Merrick Public Library","2 Lincoln Street","P.O. Box 528","Brookfield","MA","1506"},
        {"Central","State Library System","Regional Headquarters","8 Flagg Road","","Shrewsbury","MA","1545"},
        {"Central","Charlton","Charlton Public Library","40 Main Street","","Charlton","MA","01507-1355"},
        {"Central","Clinton","Bigelow Free Public Library","54 Walnut Street","","Clinton","MA","01510-2926"},
        {"Central","Douglas","Simon Fairfield Public Library","260 Main Street","Box 607","Douglas","MA","01516-0607"},
        {"Central","Dudley","Pearle L. Crawford Memorial Library","1 Village Street","","Dudley","MA","01571-3306"},
        {"Central","East Brookfield","East Brookfield Public Library","P.O. Box 90","","East Brookfield","MA","01515-0090"},
        {"Central","Fitchburg","Fitchburg Public Library","610 Main Street","","Fitchburg","MA","01420-3146"},
        {"Central","Gardner","Levi Heywood Memorial Library","57 City Hall Avenue","","Gardner","MA","01440-2672"},
        {"Central","Grafton","Grafton Public Library","P.O. Box 387","","Grafton","MA","01519-0387"},
        {"Central","Groton","Groton Public Library","99 Main Street","","Groton","MA","1450"},
        {"Central","Harvard","Harvard Public Library","P.O. Box 666","","Harvard","MA","01451-0666"},
        {"Central","Holden","Gale Free Library","23 Highland St.","","Holden","MA","01520-2599"},
        {"Central","Hopedale","Bancroft Memorial Library","50 Hopedale Street","","Hopedale","MA","01747-1799"},
        {"Central","Hopkinton","Hopkinton Public Library","13 Main Street","","Hopkinton","MA","01748-1211"},
        {"Central","Hubbardston","Hubbardston Public Library","P.O. Box D","","Hubbardston","MA","01452-0225"},
        {"Central","Hudson","Hudson Public Library","Wood Square","","Hudson","MA","01749-2499"},
        {"Central","Lancaster","Thayer Memorial Library","P.O. Box 5","","Lancaster","MA","01523-0005"},
        {"Central","Leicester","Leicester Public Library","1136 Main Street","","Leicester","MA","01524-1349"},
        {"Central","Leominster","Leominster Public Library","30 West St.","","Leominster","MA","01453-5692"},
        {"Central","Lunenburg","Ritter Memorial Library","960 Massachusetts Ave.","","Lunenburg","MA","01462-1321"},
        {"Central","Marlborough","Marlborough Public Library","35 West Main St.","","Marlborough","MA","01752-5510"},
        {"Central","Mendon","Taft Public Library","P.O. Box 35","","Mendon","MA","01756-0035"},
        {"Central","Milford","Milford Town Library","80 Spruce Street","","Milford","MA","01757-2031"},
        {"Central","Millbury","Millbury Public Library","128 Elm St.","","Millbury","MA","01527-2690"},
        {"Central","Millville","Millville Free Public Library","P.O. Box 726","","Millville","MA","01529-0726"},
        {"Central","New Braintree","New Braintree Public Library","45 Memorial Drive","","New Braintree","MA","01531-0067"},
        {"Central","North Brookfield","Haston Free Public Library","161 Main Street","","North Brookfield","MA","01535-1473"},
        {"Central","Northborough","Northborough Free Library","34 Main St.","","Northborough","MA","01532-1942"},
        {"Central","Northbridge","Whitinsville Social Library","17 Church Street","","Whitinsville","MA","01588-1413"},
        {"Central","Oakham","Fobes Memorial Library","4 Maple St.","","Oakham","MA","01068-9790"},
        {"Central","Oxford","Oxford Free Public Library","339 Main St.","","Oxford","MA","01540-1729"},
        {"Central","Paxton","Richards Memorial Library","44 Richards Ave.","","Paxton","MA","01612-1125"},
        {"Central","Pepperell","Lawrence Library","P.O. Box 1440","","Pepperell","MA","01463-3440"},
        {"Central","Petersham","Petersham Memorial Library","23 Common St.","","Petersham","MA","01366-9756"},
        {"Central","Phillipston","Phillips Free Public Library","25 Templeton Road","","Phillipston","MA","01331-9704"},
        {"Central","Princeton","Princeton Public Library","2 Town Hall Drive","","Princeton","MA","01541-1129"},
        {"Central","Royalston","Phinehas S. Newton Library","19 The Common","","Royalston","MA","01368-0089"},
        {"Central","Rutland","Rutland Free Public Library","280 Main Street","","Rutland","MA","01543-1300"},
        {"Central","Shirley","Hazen Memorial Library","P.O. Box 1129","3 Keady Way","Shirley","MA","1464"},
        {"Central","Shrewsbury","Shrewsbury Public Library","609 Main Street","","Shrewsbury","MA","01545-5699"},
        {"Central","Southborough","Southborough Library","25 Main St.","","Southborough","MA","01772-1529"},
        {"Central","Southbridge","Jacob Edwards Library","236 Main Street","","Southbridge","MA","01550-2504"},
        {"Central","Spencer","Richard Sugden Public Library","8 Pleasant Street","","Spencer","MA","01562-2033"},
        {"Central","Sterling","Conant Public Library","P. O. Box 428","","Sterling","MA","01564-0428"},
        {"Central","Sturbridge","Joshua Hyde Public Library","306 Main Street","","Sturbridge","MA","01566-1242"},
        {"Central","Sutton","Sutton Free Public Library","4 Uxbridge Road","","Sutton","MA","01590-1702"},
        {"Central","Templeton","Boynton Public Library","P.O. Box 296","","Templeton","MA","01468-0296"},
        {"Central","Townsend","Townsend Public Library","276 Main Street","","Townsend","MA","01469-0526"},
        {"Central","Upton","Upton Town Library","P.O. Box 1196","","Upton","MA","01568-6196"},
        {"Central","Uxbridge","Uxbridge Free Public Library","15 North Main St.","","Uxbridge","MA","01569-1822"},
        {"Central","Warren","West Warren Library Association","Box 369","","West Warren","MA","01092-0369"},
        {"Central","Warren","Warren Public Library","P.O. Box 937","","Warren","MA","1083"},
        {"Central","Webster","Chester C. Corbin Public Library","2 Lake St.","","Webster","MA","01570-2699"},
        {"Central","West Boylston","Beaman Memorial Public Library","8 Newton Street","","West Boylston","MA","01583-1695"},
        {"Central","West Brookfield","Merriam-Gilbert Public Library","P.O. Box 364","","West Brookfield","MA","01585-0364"},
        {"Central","Westborough","Westborough Public Library","55 West Main Street","","Westborough","MA","01581-1989"},
        {"Central","Westminster","Forbush Memorial Library","118 Main St.","","Westminster","MA","1473"},
        {"Central","Winchendon","Beals Memorial Library","50 Pleasant St.","","Winchendon","MA","01475-1619"},
        {"Central","Worcester","Worcester Public Library","3 Salem Square","","Worcester","MA","1608"},
        {"Metrowest","Acton","Acton Memorial Library","486 Main St.","","Acton","MA","01720-3999"},
        {"Metrowest","Acton","West Acton Citizen's Library Association","21 Windsor Ave.","","Acton","MA","01720-2809"},
        {"Metrowest","Arlington","Robbins Library","700 Massachusetts Avenue","","Arlington","MA","02476-4981"},
        {"Metrowest","Ashland","Ashland Public Library","66 Front St.","","Ashland","MA","01721-1606"},
        {"Metrowest","Bedford","Bedford Free Public Library","7 Mudge Way","","Bedford","MA","01730-2168"},
        {"Metrowest","Belmont","Belmont Public Library","336 Concord Ave.","","Belmont","MA","02478-0904"},
        {"Metrowest","Brookline","Brookline Public Library","361 Washington St.","","Brookline","MA","02445-6864"},
        {"Metrowest","Cambridge","Cambridge Public Library","449 Broadway","","Cambridge","MA","02138-4191"},
        {"Metrowest","Concord","Concord Free Public Library","129 Main Street","","Concord","MA","01742-2494"},
        {"Metrowest","Dedham","Dedham Public Library","43 Church St.","","Dedham","MA","02026-4393"},
        {"Metrowest","Dover","Dover Town Library","56 Dedham St.","P.O. Box 669","Dover","MA","02030-0669"},
        {"Metrowest","Framingham","Framingham Public Library","49 Lexington Street","","Framingham","MA","01702-8371"},
        {"Metrowest","Franklin","Franklin Public Library","118 Main Street","","Franklin","MA","02038-1992"},
        {"Metrowest","Holliston Public Library","Holliston Public Library","752 Washington St.","","Holliston","MA","01746-2182"},
        {"Metrowest","Lexington","Cary Memorial Library","1605 Massachusetts Ave.","At Cary Hall","Lexington","MA","02420-5385"},
        {"Metrowest","Lincoln","Lincoln Public Library","Bedford Road","","Lincoln","MA","01773-2017"},
        {"Metrowest","Maynard","Maynard Public Library","197 Main St.","","Maynard","MA","01754-2511"},
        {"Metrowest","Medfield","Medfield Memorial Library","468 Main Street","","Medfield","MA","02052-2008"},
        {"Metrowest","Medford","Medford Public Library","111 High St.","","Medford","MA","02155-3870"},
        {"Metrowest","Medway","Medway Public Library System","26 High St.","","Medway","MA","02053-1692"},
        {"Metrowest","State Library System","Regional Headquarters","135 Beaver Street","","Waltham","MA","2452"},
        {"Metrowest","Millis","Millis Public Library","25 Auburn Road","","Millis","MA","2054"},
        {"Metrowest","Natick","Bacon Free Library","58 Eliot Street","","South Natick","MA","01760-5542"},
        {"Metrowest","Natick","Morse Institute Library","14 East Central Street","","Natick","MA","01760-4630"},
        {"Metrowest","Needham","Needham Free Public Library","1139 Highland Ave.","","Needham","MA","02494-3298"},
        {"Metrowest","Newton","Newton Free Library","330 Homer Street","","Newton Centre","MA","02459-1429"},
        {"Metrowest","Norwood","Morrill Memorial Library","P.O. Box 220","","Norwood","MA","02062-0988"},
        {"Metrowest","Sherborn","Sherborn Library","4 Sanger St.","","Sherborn","MA","01770-1499"},
        {"Metrowest","Somerville","Somerville Public Library","79 Highland Avenue","","Somerville","MA","02143-1797"},
        {"Metrowest","Stow","Randall Library","19 Crescent Street","","Stow","MA","01775-1150"},
        {"Metrowest","Sudbury","Goodnow Public Library","21 Concord Rd.","","Sudbury","MA","1776"},
        {"Metrowest","Waltham","Waltham Public Library","735 Main St.","","Waltham","MA","02451-0698"},
        {"Metrowest","Watertown","Watertown Free Public Library","123 Main St.","","Watertown","MA","02472-4478"},
        {"Metrowest","Wayland","Wayland Free Public Library","5 Concord Rd.","","Wayland","MA","01778-1999"},
        {"Metrowest","Wellesley","Wellesley Free Library","530 Washington Street","","Wellesley","MA","2482"},
        {"Metrowest","Weston","Weston Public Library","87 School Street","","Weston","MA","02493-2541"},
        {"Metrowest","Westwood","Westwood Public Library","668 High St.","","Westwood","MA","02090-1686"},
        {"Metrowest","Winchester","Winchester Public Library","80 Washington St.","","Winchester","MA","01890-2799"},
        {"Metrowest","Woburn","Woburn Public Library","45 Pleasant St.","P.O. Box 298","Woburn","MA","01801-0498"},
        {"Northeast","Amesbury","Amesbury Public Library","149 Main St.","","Amesbury","MA","01913-2899"},
        {"Northeast","Andover","Memorial Hall Library","Elm Square","","Andover","MA","01810-3656"},
        {"Northeast","Beverly","Beverly Public Library","32 Essex St.","","Beverly","MA","01915-4561"},
        {"Northeast","Billerica","Billerica Public Library","25 Concord Rd.","","Billerica","MA","01821-2517"},
        {"Northeast","Boxford","Boxford Town Library","10 Elm St.","","Boxford","MA","01921-2322"},
        {"Northeast","Burlington","Burlington Public Library","22 Sears Street","","Burlington","MA","01803-3032"},
        {"Northeast","Carlisle","Gleason Public Library","Box 813","","Carlisle","MA","01741-0813"},
        {"Northeast","Chelmsford","Chelmsford Public Library","25 Boston Rd.","","Chelmsford","MA","01824-3088"},
        {"Northeast","Danvers","Peabody Institute Library","15 Sylvan St.","","Danvers","MA","01923-2735"},
        {"Northeast","Dracut","Moses Greeley Parker Memorial Lib.","28 Arlington St.","","Dracut","MA","01826-3937"},
        {"Northeast","Dunstable","Dunstable Free Public Library","588 Main St.","P.O. Box 219","Dunstable","MA","01827-0219"},
        {"Northeast","Essex","T.O.H.P. Burnham Free Library","Martin St.","","Essex","MA","01929-0767"},
        {"Northeast","Everett","Parlin Memorial Library","410 Broadway","","Everett","MA","02149-3496"},
        {"Northeast","Georgetown","Peabody Library","Lincoln Park","","Georgetown","MA","01833-2025"},
        {"Northeast","Gloucester","Gloucester Lyceum & Sawyer Free Library","2 Dale Ave.","","Gloucester","MA","01930-5906"},
        {"Northeast","Groveland","Langley Adams Library","185 Main Street","","Groveland","MA","01834-1314"},
        {"Northeast","Hamilton-Wenham","Hamilton-Wenham Public Library","14 Union Street","","Hamilton","MA","1982"},
        {"Northeast","Haverhill","Haverhill Public Library","99 Main St.","","Haverhill","MA","01830-5092"},
        {"Northeast","Ipswich","Ipswich Public Library","25 North Main St.","","Ipswich","MA","01938-2287"},
        {"Northeast","Lawrence","Lawrence Public Library","51 Lawrence St.","","Lawrence","MA","01841-3805"},
        {"Northeast","Littleton","Reuben Hoar Library","41 Shattuck St.","","Littleton","MA","01460-4506"},
        {"Northeast","Lowell","Samuel S. Pollard Memorial Library","401 Merrimack St.","","Lowell","MA","1852"},
        {"Northeast","Lynn","Lynn Public Library","5 North Common St.","","Lynn","MA","01902-4311"},
        {"Northeast","Lynnfield","Lynnfield Public Library","18 Summer St.","","Lynnfield","MA","01940-1837"},
        {"Northeast","Manchester-By-The-Sea","Manchester-by-the-Sea Public Library","Union Street","","Manchester-by-the-Sea","MA","01944-0151"},
        {"Northeast","Marblehead","Abbot Public Library","235 Pleasant St.","","Marblehead","MA","01945-2228"},
        {"Northeast","Melrose","Melrose Public Library","69 West Emerson St.","","Melrose","MA","02176-3173"},
        {"Northeast","Merrimac","Thomas Hoyt Memorial Library","34 West Main St.","","Merrimac","MA","01860-2298"},
        {"Northeast","Methuen","Nevins Memorial Library","305 Broadway","","Methuen","MA","01844-6898"},
        {"Northeast","Middleton","Flint Public Library","1 South Main St.","P.O. Box 98","Middleton","MA","01949-0198"},
        {"Northeast","Nahant","Nahant Public Library","15 Pleasant St.","P.O. Box 76","Nahant","MA","01908-0076"},
        {"Northeast","Newbury","Newbury Town Library","0 Lunt Street","","Byfield","MA","1922"},
        {"Northeast","Newburyport","Newburyport Public Library","94 State St.","","Newburyport","MA","01950-6619"},
        {"Northeast","North Andover","Stevens Memorial Library","345 Main Street","P.O. Box 8","North Andover","MA","01845-0008"},
        {"Northeast","North Reading","Flint Memorial Library","147 Park St.","","North Reading","MA","01864-2542"},
        {"Northeast","State Library System","Regional Headquarters","175 Andover Street","","Danvers","MA","1923"},
        {"Northeast","Peabody","Peabody Institute Library","82 Main St.","","Peabody","MA","01960-5592"},
        {"Northeast","Reading","Reading Public Library","64 Middlesex Ave.","","Reading","MA","01867-2550"},
        {"Northeast","Revere","Revere Public Library","179 Beach St.","","Revere","MA","02151-5089"},
        {"Northeast","Rockport","Rockport Public Library","17 School Street","","Rockport","MA","01966-1699"},
        {"Northeast","Rowley","Rowley Free Public Library","17 Wethersfield St.","P.O. Box 276","Rowley","MA","01969-0576"},
        {"Northeast","Salem","Salem Public Library","370 Essex St.","","Salem","MA","01970-3298"},
        {"Northeast","Salisbury","Salisbury Public Library","17 Elm Street","","Salisbury","MA","01952-1935"},
        {"Northeast","Saugus","Saugus Public Library","295 Central St.","","Saugus","MA","01906-2191"},
        {"Northeast","Stoneham","Stoneham Public Library","431 Main St.","","Stoneham","MA","02180-2696"},
        {"Northeast","Swampscott","Swampscott Public Library","61 Burrill St.","","Swampscott","MA","01907-1996"},
        {"Northeast","Tewksbury","Tewksbury Public Library","300 Chandler Street","","Tewksbury","MA","01876-2303"},
        {"Northeast","Topsfield","Topsfield Town Library","1 South Common Street","","Topsfield","MA","01983-1496"},
        {"Northeast","Tyngsborough","Tyngsborough Public Library","25 Bryant Lane","","Tyngsborough","MA","01879-1003"},
        {"Northeast","Wakefield","Lucius Beebe Memorial Library","345 Main Street","","Wakefield","MA","01880-5093"},
        {"Northeast","West Newbury","G. A. R. Memorial Library","490 Main St.","","West Newbury","MA","01985-1115"},
        {"Northeast","Westford","J. V. Fletcher Library","50 Main St.","","Westford","MA","01886-2599"},
        {"Northeast","Wilmington","Wilmington Memorial Library","175 Middlesex Ave.","","Wilmington","MA","01887-2714"},
        {"Northeast","Winthrop","Winthrop Public Library","2 Metcalf Square","","Winthrop","MA","02152-3157"},
        {"Southeastern","Abington","Abington Public Library","600 Gliniewicz Way","","Abington","MA","02351-1641"},
        {"Southeastern","Acushnet","Russell Memorial Library","88 Main St.","","Acushnet","MA","02743-2117"},
        {"Southeastern","Aquinnah","Aquinnah Public Library","1 State Road","","Aquinnah","MA","2535"},
        {"Southeastern","Attleboro","Attleboro Public Library","74 North Main Street","","Attleboro","MA","02703-2280"},
        {"Southeastern","Avon","Avon Public Library","280 West Main St.","","Avon","MA","02322-1697"},
        {"Southeastern","Barnstable","Sturgis Library","3090 Main St.","P.O. Box 606","Barnstable","MA","02630-0606"},
        {"Southeastern","Barnstable","Hyannis Public Library Association","401 Main St.","","Hyannis","MA","02601-3109"},
        {"Southeastern","Barnstable","Cotuit Library","871 Main St.","P. O. Box 648","Cotuit","MA","02635-0648"},
        {"Southeastern","Barnstable","Whelden Memorial Library","2401 Meetinghouse Way","P.O. Box 147","West Barnstable","MA","02668-0147"},
        {"Southeastern","Barnstable","Marstons Mills Public Library","2160 Main St.","P.O. Box 9","Marstons Mills","MA","02648-0009"},
        {"Southeastern","Barnstable","Osterville Free Library","43 Wianno Avenue","","Osterville","MA","02655-2088"},
        {"Southeastern","Barnstable","Centerville Public Library","585 Main St.","","Centerville","MA","02632-2915"},
        {"Southeastern","Berkley","Berkley Public Library","1 North Main Street","","Berkley","MA","02779-1311"},
        {"Southeastern","Bourne","Jonathan Bourne Public Library","19 Sandwich Road","","Bourne","MA","02532-3608"},
        {"Southeastern","Braintree","Thayer Public Library","798 Washington Street","","Braintree","MA","02184-6400"},
        {"Southeastern","Brewster","Brewster Ladies' Library Association","1822 Main Street","","Brewster","MA","02631-1827"},
        {"Southeastern","Bridgewater","Bridgewater Public Library","15 South St.","","Bridgewater","MA","02324-2593"},
        {"Southeastern","Brockton","Brockton Public Library System","155 West Elm Street","","Brockton","MA","02301-5323"},
        {"Southeastern","Canton","Canton Public Library","786 Washington St.","","Canton","MA","02021-3029"},
        {"Southeastern","Carver","Carver Public Library","2 Meadowbrook Way","P.O. Box 328","Carver","MA","02330-0328"},
        {"Southeastern","Chatham","South Chatham Public Library","Main St.","P. O. Box 218","South Chatham","MA","02659-0218"},
        {"Southeastern","Chatham","Eldredge Public Library","564 Main St.","","Chatham","MA","02633-2296"},
        {"Southeastern","Chilmark","Chilmark Public Library","South Rd.","P.O. Box 180","Chilmark","MA","02535-0180"},
        {"Southeastern","Cohasset","Paul Pratt Memorial Library","35 Ripley Road","","Cohasset","MA","02025-2097"},
        {"Southeastern","Dartmouth","Dartmouth Public Libraries","732 Dartmouth St.","","Dartmouth","MA","02748-3251"},
        {"Southeastern","Dennis","Jacob Sears Memorial Library","23 Center St.","Box 782","East Dennis","MA","02641-0782"},
        {"Southeastern","Dennis","Dennis Public Library","673 Main Street (Route 28)","","Dennisport","MA","2639"},
        {"Southeastern","Dennis","South Dennis Public Library","389 Main St.","P.O. Box 304","South Dennis","MA","02660-0304"},
        {"Southeastern","Dennis","West Dennis Free Public Library","260 Main Street","P. O. Box 158","West Dennis","MA","02670-0158"},
        {"Southeastern","Dennis","Dennis Memorial Library Association","1020 Old Bass River Rd.","","Dennis","MA","02638-2523"},
        {"Southeastern","Dighton","Dighton Public Library","395 Main St.","","Dighton","MA","02715-1400"},
        {"Southeastern","Duxbury","Duxbury Free Library","77 Alden Street","","Duxbury","MA","02332-3835"},
        {"Southeastern","East Bridgewater","East Bridgewater Public Library","32 Union St.","","East Bridgewater","MA","02333-1598"},
        {"Southeastern","Eastham","Eastham Public Library","190 Samoset Road","","Eastham","MA","02642-3109"},
        {"Southeastern","Easton","Ames Free Library of Easton"," Inc.","53 Main St.","North Easton","MA","02356-1484"},
        {"Southeastern","Edgartown","Edgartown Free Public Library","58 North Water St.","P.O. Box 5249","Edgartown","MA","02539-5249"},
        {"Southeastern","Fairhaven","Millicent Library","45 Center St.","P.O. Box 30","Fairhaven","MA","02719-0030"},
        {"Southeastern","Fall River","Fall River Public Library","104 North Main St.","","Fall River","MA","02720-2122"},
        {"Southeastern","Falmouth","Woods Hole Public Library","581 Woods Hole Rd.","P.O. Box 185","Woods Hole","MA","02543-0185"},
        {"Southeastern","Falmouth","West Falmouth Library"," Inc.","P.O. Box 1209","West Falmouth","MA","02574-1209"},
        {"Southeastern","Falmouth","Falmouth Public Library","123 Katharine Lee Bates Road","","Falmouth","MA","02540-2895"},
        {"Southeastern","Foxborough","Boyden Library","10 Bird St.","","Foxborough","MA","02035-2301"},
        {"Southeastern","Freetown","James White Memorial Library","5 Washburn Road","","East Freetown","MA","02717-1220"},
        {"Southeastern","Gosnold","Cuttyhunk Public Library","Cuttyhunk Post Office","","Cuttyhunk","MA","02713-9999"},
        {"Southeastern","Halifax","Holmes Public Library","470 Plymouth St.","","Halifax","MA","02338-1342"},
        {"Southeastern","Hanover","John Curtis Free Library","534 Hanover St.","","Hanover","MA","02339-2228"},
        {"Southeastern","Hanson","Hanson Public Library","132 Maquan St.","","Hanson","MA","02341-1711"},
        {"Southeastern","Harwich","Brooks Free Library","739 Main Street","","Harwich","MA","02645-2752"},
        {"Southeastern","Harwich","Chase Library Assoc., Inc.","5 Main St.","P.O. Box 457","West Harwich","MA","02671-0457"},
        {"Southeastern","Harwich","Harwich Port Library Association","Lower Bank St.","Box 175","Harwich Port","MA","02646-0175"},
        {"Southeastern","Hingham","Hingham Public Library","66 Leavitt St.","","Hingham","MA","02043-2997"},
        {"Southeastern","Holbrook","Holbrook Public Library","2 Plymouth St.","","Holbrook","MA","02343-1586"},
        {"Southeastern","Hull","Hull Public Library","9 Main St.","","Hull","MA","02045-1199"},
        {"Southeastern","Kingston","Kingston Public Library","6 Green St.","6 Green Street","Kingston","MA","02364-1441"},
        {"Southeastern","Lakeville","Lakeville Free Public Library","241 Main St.","","Lakeville","MA","02347-1624"},
        {"Southeastern","Mansfield","Mansfield Public Library","255 Hope Street","","Mansfield","MA","02048-2353"},
        {"Southeastern","Marion","Elizabeth Taber Memorial Library","8 Spring St.","P.O. Box 116","Marion","MA","02738-0116"},
        {"Southeastern","Marshfield","Ventress Memorial Library","Library Plaza","","Marshfield","MA","02050-4998"},
        {"Southeastern","Mashpee","Mashpee Public Library","100 Nathan Ellis Hghwy.","P.O. Box 657","Mashpee","MA","02649-0657"},
        {"Southeastern","Mattapoisett","Mattapoisett Public Library","7 Barstow St.","P.O. Box 475","Mattapoisett","MA","02739-0475"},
        {"Southeastern","Middleborough","Middleborough Public Library","102 North Main St.","P.O. Box 391","Middleborough","MA","02346-0391"},
        {"Southeastern","Milton","Milton Public Library","476 Canton Ave.","","Milton","MA","02186-3299"},
        {"Southeastern","Nantucket","Nantucket Atheneum","One India Street","P.O. Box 808","Nantucket","MA","02554-0808"},
        {"Southeastern","New Bedford","New Bedford Free Public Library","613 Pleasant Street","","New Bedford","MA","02740-6203"},
        {"Southeastern","Norfolk","Norfolk Public Library","139 Main St.","","Norfolk","MA","02056-1432"},
        {"Southeastern","North Attleborough","Richards Memorial Library","118 North Washington Street","","North Attleborough","MA","02760-1633"},
        {"Southeastern","Norton","Norton Public Library","68 E. Main Street","","Norton","MA","02766-2310"},
        {"Southeastern","Norwell","Norwell Public Library","64 South St.","","Norwell","MA","02061-2433"},
        {"Southeastern","Oak Bluffs","Oak Bluffs Public Library","Pennacook Ave.","P.O. Box 2039","Oak Bluffs","MA","01557-2039"},
        {"Southeastern","Orleans","Snow Library","67 Main St.","P.O. Box 246","Orleans","MA","02653-0246"},
        {"Southeastern","Pembroke","Pembroke Public Library","142 Center St.","","Pembroke","MA","2359"},
        {"Southeastern","Plainville","Plainville Public Library","198 South St.","","Plainville","MA","02762-1512"},
        {"Southeastern","Plymouth","Plymouth Public Library","132 South Street","","Plymouth","MA","02360-2947"},
        {"Southeastern","Plympton","Plympton Public Library","248 Main St.","","Plympton","MA","02367-1114"},
        {"Southeastern","Provincetown","Provincetown Public Library","330 Commercial St.","","Provincetown","MA","02657-2209"},
        {"Southeastern","Quincy","Thomas Crane Public Library","40 Washington Street","","Quincy","MA","02169-9164"},
        {"Southeastern","Randolph","Turner Free Library","Crawford Square","2 North Main Street","Randolph","MA","02368-4604"},
        {"Southeastern","Raynham","Raynham Public Library","760 South Main St.","","Raynham","MA","02767-1678"},
        {"Southeastern","Rehoboth","Blanding Free Public Library","124 Bay State Rd.","P.O. Box 377","Rehoboth","MA","02769-0377"},
        {"Southeastern","Rochester","Joseph H. Plumb Memorial Library","17 Constitution Way","P.O. Box 69","Rochester","MA","02770-0069"},
        {"Southeastern","Rockland","Rockland Memorial Library","20 Belmont St.","","Rockland","MA","02370-2232"},
        {"Southeastern","Sandwich","Sandwich Free Public Library","142 Main Street","","Sandwich","MA","02563-2298"},
        {"Southeastern","Scituate","Scituate Town Library","85 Branch St.","","Scituate","MA","02066-3297"},
        {"Southeastern","Seekonk","Seekonk Public Library","410 Newman Ave.","","Seekonk","MA","02771-4605"},
        {"Southeastern","Sharon","Sharon Public Library","11 North Main Street","","Sharon","MA","02067-1299"},
        {"Southeastern","Somerset","Somerset Public Library","1464 County St.","","Somerset","MA","02726-5234"},
        {"Southeastern","Southeastern Massachusetts Library System","Headquarters","10 Riverside Drive","","Lakeville","MA","2347"},
        {"Southeastern","Stoughton","Stoughton Public Library","84 Park St.","P.O. Box 209","Stoughton","MA","02072-0209"},
        {"Southeastern","Swansea","Swansea Free Public Library","69 Main St.","","Swansea","MA","02777-4698"},
        {"Southeastern","Taunton","Taunton Public Library","12 Pleasant Street","","Taunton","MA","02780-3203"},
        {"Southeastern","Tisbury","Vineyard Haven Public Library","RFD 139A Main Street","","Vineyard Haven","MA","02568-9710"},
        {"Southeastern","Truro","Truro Public Library","5 Library Lane","P.O. Box 357","North Truro","MA","02652-0357"},
        {"Southeastern","Walpole","Walpole Public Library","65 Common St.","","Walpole","MA","02081-2804"},
        {"Southeastern","Wareham","Wareham Free Library","59 Marion Road","","Wareham","MA","02571-1448"},
        {"Southeastern","Wellfleet","Wellfleet Public Library","55 West Main Street","","Wellfleet","MA","02667-7300"},
        {"Southeastern","West Bridgewater","West Bridgewater Public Library","80 Howard Street","","West Bridgewater","MA","02379-1710"},
        {"Southeastern","West Tisbury","West Tisbury Free Public Library","1042A State Rd.","P.O. Box 190","West Tisbury","MA","02575-0190"},
        {"Southeastern","Westport","Westport Free Public Library","408 Old County Rd.","P.O. Box N-157","Westport","MA","02790-0157"},
        {"Southeastern","Weymouth","Tufts Library","46 Broad St.","","Weymouth","MA","02188-1785"},
        {"Southeastern","Whitman","Whitman Public Library","100 Webster Street","","Whitman","MA","02382-1914"},
        {"Southeastern","Wrentham","Fiske Public Library","110 Randall Road","P.O. Box 340","Wrentham","MA","02093-0340"},
        {"Southeastern","Yarmouth","Yarmouth Town Libraries","312 Old Main Street","","South Yarmouth","MA","02664-4820"},
        {"Western","Adams","Adams Free Library","92 Park Street","","Adams","MA","01220-2096"},
        {"Western","Agawam","Agawam Public Library","750 Cooper Street","","Agawam","MA","01001-2177"},
        {"Western","Alford","Alford Free Public Library","5 Alford Center Road","","Alford","MA","01230-8920"},
        {"Western","Amherst","Jones Library Inc","43 Amity Street","","Amherst","MA","01002-2285"},
        {"Western","Ashfield","Belding Memorial Library","Main Street","P.O. Box 407","Ashfield","MA","01330-0407"},
        {"Western","Becket","Becket Athenaeum, Inc.","Main Street","P.O. Box 9","Becket","MA","01223-0009"},
        {"Western","Belchertown","Clapp Memorial Library","19 South Main Street","P.O. Box 627","Belchertown","MA","01007-0627"},
        {"Western","Bernardston","Cushman Library","28 Church Street","P.O. Box 248","Bernardston","MA","01337-0248"},
        {"Western","Blandford","Porter Memorial Library","87 Main Street","","Blandford","MA","1008"},
        {"Western","Buckland","Buckland Public Library","30 Upper Street","P.O. Box 149","Buckland","MA","01338-0149"},
        {"Western","Charlemont","Tyler Memorial Library","Main Street","P. O. Box 618","Charlemont","MA","01339-0618"},
        {"Western","Cheshire","Cheshire Public Library","Depot Street","P. O. Box 740","Cheshire","MA","01225-0740"},
        {"Western","Chester","Hamilton Memorial Library","#195","Route 20","Chester","MA","01011-9648"},
        {"Western","Chesterfield","Chesterfield Public Library","408 Main Road","PO Box 305","Chesterfield","MA","01012-9708"},
        {"Western","Chicopee","Chicopee Public Library","31 Springfield Street","","Chicopee","MA","01013-2698"},
        {"Western","Clarksburg","Clarksburg Town Library","711 West Cross Road","","Clarksburg","MA","01247-9716"},
        {"Western","Colrain","Griswold Memorial Library","Main Street","P.O. Box 33","Colrain","MA","01340-0033"},
        {"Western","Conway","Field Memorial Library","1 Elm Street","P.O. Box 189","Conway","MA","01341-0189"},
        {"Western","Cummington","Bryant Free Library","455 Berkshire Trial","","Cummington","MA","1026"},
        {"Western","Dalton","Dalton Free Public Library","462 Main Street","","Dalton","MA","01226-1683"},
        {"Western","Deerfield","Tilton Library","75 North Main Street","","South Deerfield","MA","01373-1014"},
        {"Western","East Longmeadow","East Longmeadow Public Library","317 Westwood Avenue","","East Longmeadow","MA","1028"},
        {"Western","Easthampton","Emily Williston Memorial Library and Museum","9 Park Street","","Easthampton","MA","01027-2195"},
        {"Western","Egremont","Egremont Free Library","Buttonball Lane","P.O. Box 246","South Egremont","MA","01258-0246"},
        {"Western","Erving","Erving Center Library","12 East Main Street","","Erving","MA","01344-9717"},
        {"Western","Florida","Florida Free Library","56 North County Road","","Florida","MA","01247-9407"},
        {"Western","Gill","Slate Memorial Library","332 Main Road","","Gill","MA","1376"},
        {"Western","Goshen","Goshen Free Public Library","Main Street","Box 320","Goshen","MA","01032-0320"},
        {"Western","Granby","Granby Free Public Library","Library Lane","","Granby","MA","01033-9416"},
        {"Western","Granville","Granville Public Library","2 Granby Road","","Granville","MA","01034-9539"},
        {"Western","Great Barrington","Mason Library","231 Main Street","","Great Barrington","MA","01230-1604"},
        {"Western","Greenfield","Greenfield Public Library","402 Main Street","","Greenfield","MA","01301-3371"},
        {"Western","Hadley","Goodwin Memorial Library","Middle Street","","Hadley","MA","1035"},
        {"Western","Hampden","Hampden Free Public Library","625 Main Street","P. O. Box 129","Hampden","MA","01036-0129"},
        {"Western","Hancock","Taylor Memorial Library","Main Street","","Hancock","MA","1237"},
        {"Western","Hardwick","Gilbertville Public Library","Main Street","P.O. Box 547","Gilbertville","MA","1031"},
        {"Western","Hardwick","Paige Memorial Library","Main Street","P.O. Box 128","Hardwick","MA","01037-0128"},
        {"Western","Hatfield","Hatfield Public Library","39 Main Street","","Hatfield","MA","01038-9702"},
        {"Western","Heath","Heath Free Public Library","1 East Main Street","Box 128","Heath","MA","01346-0128"},
        {"Western","Hinsdale","Hinsdale Public Library","58 Maple Street","P.O. Box 397","Hinsdale","MA","01235-0397"},
        {"Western","Holland","Holland Public Library","Sturbridge Road","P.O. Box 9","Holland","MA","01521-0009"},
        {"Western","Holyoke","Holyoke Public Library","335 Maple Street","","Holyoke","MA","01040-4999"},
        {"Western","Huntington","Huntington Public Library","East Main Street","P.O. Box 597","Huntington","MA","01050-0597"},
        {"Western","Lanesborough","Lanesborough Public Library","83 North Main Street","P.O. Box 352","Lanesborough","MA","01237-0352"},
        {"Western","Lee","Lee Library Association","100 Main Street","","Lee","MA","1238"},
        {"Western","Lenox","Lenox Library Association","18 Main Street","","Lenox","MA","1240"},
        {"Western","Leverett","Leverett Library","75 Montague Road","P.O. Box 250","Leverett","MA","01054-0250"},
        {"Western","Leyden","Robertson Memorial Library","849 Greenfield Road","","Leyden","MA","1301"},
        {"Western","Longmeadow","Richard Salter Storrs Library","693 Longmeadow Street","","Longmeadow","MA","01106-2296"},
        {"Western","Ludlow","Hubbard Memorial Library","24 Center Street","","Ludlow","MA","01056-2795"},
        {"Western","Middlefield","Middlefield Public Library","Main Road","P.O. Box 128","Middlefield","MA","01243-0128"},
        {"Western","Monroe","Monroe Public Library","River Road","PO Box 35","Monroe Bridge","MA","01350-0035"},
        {"Western","Monson","Monson Free Library and Reading Room Association","2 High Street","","Monson","MA","01057-1095"},
        {"Western","Montague Public Libraries","Carnegie Public Library","201 Avenue A","","Turners Falls","MA","01376-1989"},
        {"Western","Monterey","Monterey Library","Main Road","Box 172","Monterey","MA","01245-0172"},
        {"Western","Montgomery","Grace Hall Memorial Library","Denise King","48 Birch Bluff Road","Montgomery","MA","01085-9540"},
        {"Western","Mount Washington","Mount Washington Library","118 East Street","","Mount Washington","MA","1258"},
        {"Western","New Marlborough","New Marlborough Town Library","1 Mill River - Gt. Barrington Road","P.O.Box 239","Mill River","MA","01244-0239"},
        {"Western","New Salem","New Salem Public Library","24 South Main Street","","New Salem","MA","1355"},
        {"Western","North Adams","North Adams Public Library","74 Church Street","","North Adams","MA","01247-4194"},
        {"Western","Northampton","Lilly Library","19 Meadow Street","","Florence","MA","01062-1230"},
        {"Western","Northampton","Forbes Library","20 West Street","","Northampton","MA","01060-3798"},
        {"Western","Northfield","Field Library","Linda Chapin","39 Four Mile Brook Road","Northfield","MA","1360"},
        {"Western","Northfield","Dickinson Memorial Library","115 Main Street","","Northfield","MA","01360-1097"},
        {"Western","Orange","Wheeler Memorial Library","49 East Main Street","","Orange","MA","01364-1267"},
        {"Western","Otis","Otis Public Library","Main Street","P.O. Box 126","Otis","MA","01253-0126"},
        {"Western","Palmer","Palmer Public Library","1085 Park Street","","Palmer","MA","1069"},
        {"Western","Pelham","Pelham Library","2 South  Valley Road","","Pelham","MA","1002"},
        {"Western","Peru","Peru Library","c/o Sharon Greule","P.O. Box 1190","Hinsdale","MA","1235"},
        {"Western","Pittsfield","Berkshire Athenaeum","1 Wendell Avenue","","Pittsfield","MA","01201-6305"},
        {"Western","Plainfield","Shaw Memorial Library","312 Main Street","","Plainfield","MA","01070-9709"},
        {"Western","Richmond","Richmond Free Public Library","2821 State Road","","Richmond","MA","01254-9472"},
        {"Western","Rowe","Rowe Town Library","Zoar Road","","Rowe","MA","1367"},
        {"Western","Russell","Russell Public Library","162 Main Street","P.O. Box 438","Russell","MA","01071-0438"},
        {"Western","Sandisfield","Sandisfield Free Public Library","Route 57","","Sandisfield","MA","01255-9998"},
        {"Western","Savoy","Savoy Hollow Library","720 Main Road","","Savoy","MA","01256-9387"},
        {"Western","Sheffield","Bushnell-Sage Memorial Library","48 Main Street","P.O. Box 487","Sheffield","MA","01257-0487"},
        {"Western","Shelburne","Shelburne Free Public Library","233 Shelburne Center Road","","Shelburne","MA","01370-9779"},
        {"Western","Shelburne","Arms Library","Main & Bridge Streets","","Shelburne Falls","MA","1370"},
        {"Western","Shutesbury","M. N. Spear Memorial Library","Cooleyville Road","P. O. Box 256","Shutesbury","MA","01072-0256"},
        {"Western","South Hadley","Gaylord Memorial Library","47 College Street","","South Hadley","MA","1075"},
        {"Western","South Hadley","South Hadley Public Library","27 Bardwell Street","","South Hadley","MA","01075-2536"},
        {"Western","Southampton","Edwards Public Library","30 East Street","","Southampton","MA","1073"},
        {"Western","Southwick","Southwick Public Library","95 Feeding Hills Road","","Southwick","MA","1077"},
        {"Western","Springfield","Springfield Library","220 State Street","","Springfield","MA","01103-1772"},
        {"Western","Stockbridge","Stockbridge Library Association","Main Street","P.O. Box 119","Stockbridge","MA","01262-0119"},
        {"Western","Sunderland","Graves Memorial Library","111 North Main Street","","Sunderland","MA","01375-9502"},
        {"Western","Tolland","Tolland Public Library","Club House Road","Box 149A","Tolland","MA","1034"},
        {"Western","Tyringham","Tyringham Free Public Library","Main Road","P.O. Box 440","Tyringham","MA","1264"},
        {"Western","Wales","Wales Public Library","77 Main Street","P.O. Box 243","Wales","MA","01081-0243"},
        {"Western","Ware","Young Men's Library Association","37 Main Street","","Ware","MA","1082"},
        {"Western","Warwick","Warwick Free Public Library","4 Hotel Road","","Warwick","MA","01378-9311"},
        {"Western","Wendell","Wendell Free Library","Wendell Common","P.O. Box 236","Wendell","MA","01379-0236"},
        {"Western","West Springfield","West Springfield Public Library","200 Park Street","","West Springfield","MA","01089-3398"},
        {"Western","West Stockbridge","West Stockbridge Public Library","9 Main Street","P.O. Box 60","West Stockbridge","MA","01266-0060"},
        {"Western","State Library System","Regional Headquarters","58 Main St.","P.O. Box 9","Hatfield","MA","1038"},
        {"Western","Westfield","Westfield Athenaeum","6 Elm Street","","Westfield","MA","01085-2997"},
        {"Western","Westhampton","Westhampton Memorial Library","3 South Road","","Westhampton","MA","01027-9661"},
        {"Western","Whately","S. White Dickinson Memorial Library","202 Chestnut Plain Road","P.O. Box 187","Whately","MA","01093-0187"},
        {"Western","Wilbraham","Wilbraham Public Library","25 Crane Park Drive","","Wilbraham","MA","01095-1799"},
        {"Western","Williamsburg","Meekins Public Library","2 Main Street","P.O. Box 772","Williamsburg","MA","01096-0772"},
        {"Western","Williamstown","David and Joyce Milne Public Library","1095 Main Street","","Williamstown","MA","01267-2627"},
        {"Western","Windsor","Windsor Free Public Library","Route 9","P.O. Box 118","Windsor","MA","01270-0118"},
        {"Western","Worthington","Worthington Library","Huntington Road","P.O. Box 598","Worthington","MA","01098-0598"}
      };
  }  
}